Repository 32bit  Forum
Repository 64bit  Wiki

Slackware-current..non compila più nulla?

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Slackware-current..non compila più nulla?

Messaggioda roberto67 » lun mag 21, 2012 21:59

6C33C ha scritto:Strano io sono riuscito a compilarlo.
Ho aspettato a rispondere perchè volevo provare a compilare amule ma non ho riscontrato il tuo problema .
Che versione stai cercando di compilare? io ho provato con la versione r10788.


ho provato sia aMule-2.3.1 che con la versione git che con l'ultima 10788. sto usando lo slackbuild di slacky, ma ho provato anche quello inviato tempo addietro da buon Meskalundug, ma nulla..

anche con la 10788 ottengo sempre errore, che a me non dice nulla

Codice: Seleziona tutto
`.text._ZN8CryptoPP11ProxyFilterD2Ev' referenced in section `.text._ZN8CryptoPP11ProxyFilterD1Ev[_ZThn8_N8CryptoPP11ProxyFilterD1Ev]' of /usr/lib/libcryptopp.a(filters.o): defined in discarded section `.text._ZN8CryptoPP11ProxyFilterD2Ev[_ZN8CryptoPP11ProxyFilterD5Ev]' of /usr/lib/libcryptopp.a(filters.o)
collect2: error: ld returned 1 exit status
make[3]: *** [amule] Errore 1
make[3]: Leaving directory `/tmp/buildpkgs/aMule/aMule-SVN-r10788/src'
make[2]: *** [all-recursive] Errore 1
make[2]: Leaving directory `/tmp/buildpkgs/aMule/aMule-SVN-r10788/src'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/buildpkgs/aMule/aMule-SVN-r10788'
make: *** [all] Errore 2
roberto67
Packager
Packager
 
Messaggi: 288
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: Slackware-current..non compila più nulla?

Messaggioda ZeroUno » lun mag 21, 2012 23:56

E' quì, compilato fresco fresco.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4254
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Slackware-current..non compila più nulla?

Messaggioda 6C33C » mar mag 22, 2012 6:15

ZeroUno ha scritto:E' quì, compilato fresco fresco.

Grande ZeroUno ! il tuo repo diventa sempre più interessante 8)
colgo l'ocasione per prendere lo slackbuild di chromium :D
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Slackware-current..non compila più nulla?

Messaggioda ZeroUno » mar mag 22, 2012 11:14

Si accettano collaborazioni. :-)
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4254
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Slackware-current..non compila più nulla?

Messaggioda 6C33C » sab mag 26, 2012 16:39

ZeroUno ha scritto:Si accettano collaborazioni. :-)


Potrei farci un pensierino ...... da packager della domenica :D
Ho un pò di pacchetti compilati sulla current64, dovrei solo cambiare il tag e ricompilarli.
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Slackware-current..non compila più nulla?

Messaggioda ZeroUno » sab mag 26, 2012 16:52

Perchè cambiare tag?
Se i pacchetti sono fatti da te puoi lasciarci la tua firma ;-)

edit: Molti slackbuild attualmente presenti sul repo sono presi da slacky. Ho modificato il tag solo perchè così mi ricordo che sono ricompilati su current.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4254
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Slackware-current..non compila più nulla?

Messaggioda 6C33C » sab mag 26, 2012 17:51

ZeroUno ha scritto:Perchè cambiare tag?
Se i pacchetti sono fatti da te puoi lasciarci la tua firma ;-)

edit: Molti slackbuild attualmente presenti sul repo sono presi da slacky. Ho modificato il tag solo perchè così mi ricordo che sono ricompilati su current.


La totalità di slackbuild che uso sono presi da slacky, con solo piccole modifiche se non presenti nel repo x86_64 per adattartli.
Percui tutti quelli compilati sono con tag "sl".
Solo se faccio pacchetti x la stable uso un tag personale per distinguerli da quelli presenti su slacky.
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Slackware-current..non compila più nulla?

Messaggioda ZeroUno » sab mag 26, 2012 23:47

6C33C ha scritto:Percui tutti quelli compilati sono con tag "sl".
Solo se faccio pacchetti x la stable uso un tag personale per distinguerli da quelli presenti su slacky.

wow, il contrario di me :-)
Se faccio pacchetti per la stable metto tag sl e uppo su slacky. Se li faccio per current ci metto mt, per ricordarmi che sono per current.

Dal momento che ho creato il nuovo repository a current avanzata e manca ancora un bel po' alla stable non ho ancora pensato quello che fare quando uscirà slackware 14.
Probabilmente caricherò con tag sl sia su slacky che sul mio repo, fino a quando current non si discosterà sensibilmente da stable (almeno nelle dipendenze del pacchetto che compilo). Solitamente per i primi periodi (ma non dura molto di solito) mi metto una stable in chroot e faccio due pacchetti, uno per me e uno per slacky. Dipende tutto dal tempo che ho a disposizione.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4254
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Slackware-current..non compila più nulla?

Messaggioda Meskalamdug » lun lug 16, 2012 13:42

Qualcuno sa dove trovare compilati o che patch occorrono per
Wireshark
e
Tigervnc
e
Freepopsd?
Sotto current non compilano e non vanno.
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3538
Iscritto il: gio mag 13, 2004 23:00

Re: Slackware-current..non compila più nulla?

Messaggioda conraid » lun lug 16, 2012 17:17

wireshark compila e va, devi solo ricreare il configure, quindi dai prima
Codice: Seleziona tutto
libtoolize --force
autoreconf -vif
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11967
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Slackware-current..non compila più nulla?

Messaggioda Meskalamdug » gio lug 19, 2012 9:56

Grazie
Ora provo
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3538
Iscritto il: gio mag 13, 2004 23:00

Re: Slackware-current..non compila più nulla?

Messaggioda Meskalamdug » gio lug 19, 2012 11:42

Che disastro..rimosso hal
e non parte più xfce-thunar.
Provo a ricompilare 4.6 errore
e 4.10? :D
Errore. :x
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3538
Iscritto il: gio mag 13, 2004 23:00

Re: Slackware-current..non compila più nulla?

Messaggioda lablinux » gio lug 19, 2012 16:00

mi sa che ci sono librerie gnomiche utilizzate da xfce che richiedono hal. Non so come, ma potresti installare le gtk3 e in compliazione di xfce puntare a quelle.
Avatar utente
lablinux
Linux 2.6
Linux 2.6
 
Messaggi: 706
Iscritto il: gio nov 27, 2008 12:23
Località: Rho
Slackware: 14 64bit
Desktop: kde4

Re: Slackware-current..non compila più nulla?

Messaggioda 6C33C » ven lug 20, 2012 21:22

Meskalamdug ha scritto:Che disastro..rimosso hal
e non parte più xfce-thunar.
Provo a ricompilare 4.6 errore
e 4.10? :D
Errore. :x

Se vuoi provare a compilare xfce 4.10 prova guardarti questo link : https://github.com/idlemoor ( Ha anche ponce come follower :D )
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Slackware-current..non compila più nulla?

Messaggioda ponce » sab lug 21, 2012 6:36

Dave (Idlemoor) è una persona molto in gamba, ha fatto un tot di cose per far girare al meglio armedslack sul raspberrypi, e i suoi slackbuild di xfce 4.10 sono una di queste: personalmente non li ho provati, perché alcuni pacchetti (tipo gvfs) erano aggiornati ad una versione diversa da quella che uso (e sto' cominciando ad aggiornare quelle cose alle versioni di gnome 3.4), ma dovrebbero funzionare tranquillamente.
ho visto comunque che si e' messo a fare una cosa simile per lxde, si vede che anche lui pensa che sia più adatto per le risorse limitate del raspberry (256m di ram). ;)
Avatar utente
ponce
Linux 3.x
Linux 3.x
 
Messaggi: 1417
Iscritto il: mer mar 05, 2008 16:45
Località: limbo
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.14
Desktop: lxde

PrecedenteProssimo

Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite